[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabSheet.Destroy

Destructor for the class instance.

## Declaration

Source position: comctrls.pp line 529

`public destructor TTabSheet.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It ensures that a child control which is a host dock site is detached (set to Nil). Destroy calls the inherited method to free handles for both the control and any child controls, and other resources allocated in the ancestor class (TWinControl).

## See also

TWinControl.ControlCount |  | The number of child controls in the Controls property.
TWinControl.Controls |  | Provides indexed access to the child controls for the class instance.
TWinControl.Destroy |  | Destructor for the class instance.